/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2023-01-18 12:33:03Z
 *****************************************************************************/

#ifndef __RSVNA_ATTRIBUTES_HEADER
#define __RSVNA_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsvna_queryDataUnknownLengthString_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsvna_quotedInt_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);
ViStatus rsvna_empty_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsvna_quotedInt_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsvna_stringToBin_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsvna_ViInt32ToBin_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);
ViStatus rsvna_empty_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableRanged rsvna_rngSourcePower;
extern RsCoreRangeTableRanged rsvna_rngSourcePot;
extern RsCoreRangeTableRanged rsvna_rngAverageFactor;
extern RsCoreRangeTableRanged rsvna_rngResolutionBandwidth;
extern RsCoreRangeTableDiscrete rsvna_rngFilterSelectivity;
extern RsCoreRangeTableRanged rsvna_rngPointsCount;
extern RsCoreRangeTableRanged rsvna_rngSweepTime;
extern RsCoreRangeTableRanged rsvna_rngMeasDelay;
extern RsCoreRangeTableDiscrete rsvna_rngSweepType;
extern RsCoreRangeTableDiscrete rsvna_rngTimeMode;
extern RsCoreRangeTableRanged rsvna_rngSweepCount;
extern RsCoreRangeTableDiscrete rsvna_rngTSweepScope;
extern RsCoreRangeTableDiscrete rsvna_rngPrintFileFormat;
extern RsCoreRangeTableDiscrete rsvna_rngPrintDiagramAreas;
extern RsCoreRangeTableDiscrete rsvna_rngPrintPageOrientation;
extern RsCoreRangeTableRanged rsvna_rngPrintPageMargin;
extern RsCoreRangeTableDiscrete rsvna_rngMarkerFormat;
extern RsCoreRangeTableDiscrete rsvna_rngMathFunctions;
extern RsCoreRangeTableRanged rsvna_rngAperturePoints;
extern RsCoreRangeTableDiscrete rsvna_rngTraceFormat;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationStatus;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationConnectorShort;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationSameConnectorGender;
extern RsCoreRangeTableDiscrete rsvna_rngSpuriousAvoidance;
extern RsCoreRangeTableDiscrete rsvna_rngAGCMode;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerSource;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerSequence;
extern RsCoreRangeTableRanged rsvna_rngTriggerDelay;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerSlope;
extern RsCoreRangeTableRanged rsvna_rngOffsetDelayTime;
extern RsCoreRangeTableRanged rsvna_rngOffsetElectricalLength;
extern RsCoreRangeTableRanged rsvna_rngOffsetMechanicalLength;
extern RsCoreRangeTableRanged rsvna_rngOffsetPermittivity;
extern RsCoreRangeTableRanged rsvna_rngOneWayLossAtDC;
extern RsCoreRangeTableRanged rsvna_rngOneWayLossAtFrequency;
extern RsCoreRangeTableRanged rsvna_rngTraceStimulusShift;
extern RsCoreRangeTableRanged rsvna_rngSweepDetectorTime;
extern RsCoreRangeTableDiscrete rsvna_rngRefOscillatorSource;
extern RsCoreRangeTableRanged rsvna_rngRefExternalFreq;
extern RsCoreRangeTableRanged rsvna_rngPorts;
extern RsCoreRangeTableRanged rsvna_rngSweepPointDelay;
extern RsCoreRangeTableDiscrete rsvna_rngSweepSegmentSelectivity;
extern RsCoreRangeTableDiscrete rsvna_rngParameterConversion;
extern RsCoreRangeTableDiscrete rsvna_rngWaveQuantitiesUnitType;
extern RsCoreRangeTableDiscrete rsvna_rngDCRange;
extern RsCoreRangeTableDiscrete rsvna_rngImpedanceRenormalization;
extern RsCoreRangeTableDiscrete rsvna_rngTimeDomainType;
extern RsCoreRangeTableDiscrete rsvna_rngTimeDomainStimulus;
extern RsCoreRangeTableDiscrete rsvna_rngTimeDomainImpulseResponse;
extern RsCoreRangeTableRanged rsvna_rngTimeDomainSideLobeLevel;
extern RsCoreRangeTableRanged rsvna_rngTimeDomainResolutionEnhancement;
extern RsCoreRangeTableDiscrete rsvna_rngTimeDomainHarmonicGrid;
extern RsCoreRangeTableDiscrete rsvna_rngTimeGateType;
extern RsCoreRangeTableDiscrete rsvna_rngTimeGateFilterType;
extern RsCoreRangeTableRanged rsvna_rngTimeGateSidebandSupression;
extern RsCoreRangeTableRanged rsvna_rngTimeGateStartTime;
extern RsCoreRangeTableRanged rsvna_rngTimeGateStopTime;
extern RsCoreRangeTableRanged rsvna_rngTimeGateCenterTime;
extern RsCoreRangeTableRanged rsvna_rngTimeGateSpan;
extern RsCoreRangeTableDiscrete rsvna_rngStatisticsEvalRange;
extern RsCoreRangeTableRanged rsvna_rngStatisticsEvalRangeStart;
extern RsCoreRangeTableRanged rsvna_rngStatisticsEvalRangeStop;
extern RsCoreRangeTableRanged rsvna_rngStatisticalCompressionValue;
extern RsCoreRangeTableRanged rsvna_rngSmoothingAperture;
extern RsCoreRangeTableDiscrete rsvna_rngHoldTrace;
extern RsCoreRangeTableDiscrete rsvna_rngLimitSegmentType;
extern RsCoreRangeTableDiscrete rsvna_rngRipplePhysicalUnits;
extern RsCoreRangeTableDiscrete rsvna_rngRippleResponseDomainFormatUnits;
extern RsCoreRangeTableDiscrete rsvna_rngMarkerMode;
extern RsCoreRangeTableDiscrete rsvna_rngMarkerType;
extern RsCoreRangeTableDiscrete rsvna_rngMarkerSearch;
extern RsCoreRangeTableDiscrete rsvna_rngMarkerBfilterSearchMode;
extern RsCoreRangeTableRanged rsvna_rngTimeDomainStimulusStartTime;
extern RsCoreRangeTableRanged rsvna_rngTimeDomainStimulusStopTime;
extern RsCoreRangeTableRanged rsvna_rngTimeDomainStimulusCenterTime;
extern RsCoreRangeTableRanged rsvna_rngTimeDomainStimulusTimeSpan;
extern RsCoreRangeTableDiscrete rsvna_rngTimeDomainStimulusXAxisScaling;
extern RsCoreRangeTableDiscrete rsvna_rngDrivingMode;
extern RsCoreRangeTableDiscrete rsvna_rngVNetworkSingleEndedCircuitModel;
extern RsCoreRangeTableDiscrete rsvna_rngVNetworkBalancedCircuitModel;
extern RsCoreRangeTableDiscrete rsvna_rngColorScheme;
extern RsCoreRangeTableDiscrete rsvna_rngPresetScope;
extern RsCoreRangeTableDiscrete rsvna_rngRemoteLanguage;
extern RsCoreRangeTableDiscrete rsvna_rngSelectApplication;
extern RsCoreRangeTableDiscrete rsvna_rngPAEType;
extern RsCoreRangeTableDiscrete rsvna_rngPAEDCInput;
extern RsCoreRangeTableDiscrete rsvna_rngSegmentScaling;
extern RsCoreRangeTableRanged rsvna_rngPowerStartStop;
extern RsCoreRangeTableRanged rsvna_rngTotalReadings;
extern RsCoreRangeTableRanged rsvna_rngSourCalTolerance;
extern RsCoreRangeTableRanged rsvna_rngSourCalConvergence;
extern RsCoreRangeTableRanged rsvna_rngSourCalOffset;
extern RsCoreRangeTableDiscrete rsvna_rngConversionMode;
extern RsCoreRangeTableRanged rsvna_rngSourCalSlope;
extern RsCoreRangeTableDiscrete rsvna_rngExtGenMode;
extern RsCoreRangeTableRanged rsvna_rngExtGenPower;
extern RsCoreRangeTableRanged rsvna_rngFontSize;
extern RsCoreRangeTableDiscrete rsvna_rngPowerSelect;
extern RsCoreRangeTableDiscrete rsvna_rngTouchLock;
extern RsCoreRangeTableDiscrete rsvna_rngChannelSweepAverageMode;
extern RsCoreRangeTableDiscrete rsvna_rngActivatePowerCalibration;
extern RsCoreRangeTableRanged rsvna_rngMixerNumberOfStages;
extern RsCoreRangeTableDiscrete rsvna_rngMixerBasePort;
extern RsCoreRangeTableDiscrete rsvna_rngMixerConversionMode;
extern RsCoreRangeTableDiscrete rsvna_rngPolarity;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerAUXOutPosition;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerAUXOutInterval;
extern RsCoreRangeTableRanged rsvna_rngTriggerAUXDuration;
extern RsCoreRangeTableDiscrete rsvna_rngDisplaySplitType;
extern RsCoreRangeTableRanged rsvna_rngUIPortData;
extern RsCoreRangeTableDiscrete rsvna_rngUIPassFailDefaultState;
extern RsCoreRangeTableDiscrete rsvna_rngUIPassFailScope;
extern RsCoreRangeTableDiscrete rsvna_rngUIPassFailPolicy;
extern RsCoreRangeTableDiscrete rsvna_rngUIPassFailStatus;
extern RsCoreRangeTableDiscrete rsvna_rngUISweepEndEvent;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureCompensationOffsetCorrectionType;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureCompensationOffsetCorrectionAutoType;
extern RsCoreRangeTableDiscrete rsvna_rngIntermodulationTwoToneSignalSource;
extern RsCoreRangeTableRanged rsvna_rngIntermodulationMaximumOrder;
extern RsCoreRangeTableDiscrete rsvna_rngAutomaticGainControlGlobalMode;
extern RsCoreRangeTableDiscrete rsvna_rngSweepMeasurementDelayInsertionPoint;
extern RsCoreRangeTableDiscrete rsvna_rngUILogic;
extern RsCoreRangeTableDiscrete rsvna_rngPortConnectorType;
extern RsCoreRangeTableDiscrete rsvna_rngMixerInputSignal;
extern RsCoreRangeTableDiscrete rsvna_rngUIPortDataDirectionMode;
extern RsCoreRangeTableRanged rsvna_rngUIPortWritingData;
extern RsCoreRangeTableRanged rsvna_rngUIOutputPortData;
extern RsCoreRangeTableRanged rsvna_rngUIOutputPortState;
extern RsCoreRangeTableDiscrete rsvna_rngSwitchMatrixOptimization;
extern RsCoreRangeTableDiscrete rsvna_rngMarkerTraceOutputFormat;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationAutoAveraging;
extern RsCoreRangeTableDiscrete rsvna_rngVirtualNetworkGroundLoopDeembeddingCircuitModel;
extern RsCoreRangeTableDiscrete rsvna_rngVirtualNetworkDifferentialMatchEmbeddingCircuitModel;
extern RsCoreRangeTableDiscrete rsvna_rngRemoteEncoding;
extern RsCoreRangeTableRanged rsvna_rngRFFEFrequency;
extern RsCoreRangeTableRanged rsvna_rngRFFEVoltage;
extern RsCoreRangeTableRanged rsvna_rngGPIOVoltage;
extern RsCoreRangeTableDiscrete rsvna_rngStatisticalFormat;
extern RsCoreRangeTableDiscrete rsvna_rngStimulusMinMaxDef;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureModelingISDCouponType;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureModelingSFDCouponType;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureModelingISDDUTType;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureModelingISDInsertionLoss;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureModelingISDPortSequence;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureModelingISDTraceCoupling;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureModelingISDOperationAccuracy;
extern RsCoreRangeTableRanged rsvna_rngFixtureModelingISDMaxFrequency;
extern RsCoreRangeTableDiscrete rsvna_rngFixtureModelingSFDPortOrdering;
extern RsCoreRangeTableDiscrete rsvna_rngErrorTermParameter;
extern RsCoreRangeTableDiscrete rsvna_rngSweepMeasurementArg;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationConnectorKitString;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationStandardOneOrTwoPorts;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationLoadCircuitModel;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationTypeSimple;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationDataParameter;
extern RsCoreRangeTableDiscrete rsvna_rngVnetDataInterchange;
extern RsCoreRangeTableDiscrete rsvna_rngFreqSweepMode;
extern RsCoreRangeTableDiscrete rsvna_rngSourcePowerCalibrationData;
extern RsCoreRangeTableDiscrete rsvna_rngDataFormat;
extern RsCoreRangeTableDiscrete rsvna_rngInfiniteAveragingMode;
extern RsCoreRangeTableDiscrete rsvna_rngTDRStimulusThreshold;
extern RsCoreRangeTableDiscrete rsvna_rngEyeView;
extern RsCoreRangeTableDiscrete rsvna_rngTDREyeBitStream;
extern RsCoreRangeTableDiscrete rsvna_rngTDRPRBSLength;
extern RsCoreRangeTableDiscrete rsvna_rngTDREyeModulation;
extern RsCoreRangeTableDiscrete rsvna_rngTDRDUTMode;
extern RsCoreRangeTableDiscrete rsvna_rngPassFail;
extern RsCoreRangeTableDiscrete rsvna_rngPolygonShape;
extern RsCoreRangeTableDiscrete rsvna_rngFailCondition;
extern RsCoreRangeTableRanged rsvna_rngPct;
extern RsCoreRangeTableRanged rsvna_rngGPIOMeasurementTime;
extern RsCoreRangeTableRanged rsvna_rngRFFETestVoltage;
extern RsCoreRangeTableDiscrete rsvna_rngCorrectionWizardDialog;
extern RsCoreRangeTableRanged rsvna_rngTraceColours;
extern RsCoreRangeTableDiscrete rsvna_rngLimitLineSegmentInterpolation;
extern RsCoreRangeTableDiscrete rsvna_rngMarkerCouplingType;
extern RsCoreRangeTableDiscrete rsvna_rngMarkerReferenceFormat;
extern RsCoreRangeTableRanged rsvna_rngPortGroupsParallelMeasurementMinimumOffset;
extern RsCoreRangeTableDiscrete rsvna_rngPortGroupsParallelMeasurementMinimumOffsetMode;
extern RsCoreRangeTableRanged rsvna_rngPortGroupsParallelMeasFreqOffsetBandwidth;
extern RsCoreRangeTableDiscrete rsvna_rngPowerCalMethod;
extern RsCoreRangeTableDiscrete rsvna_rngGainControl;
extern RsCoreRangeTableDiscrete rsvna_rngPowerSweepEndMode;
extern RsCoreRangeTableRanged rsvna_rngStatisticalCompressionReferenceRange;
extern RsCoreRangeTableDiscrete rsvna_rngStatisticalCompressionReferenceValue;
extern RsCoreRangeTableDiscrete rsvna_rngDisplayInfoWindowBandfilter;
extern RsCoreRangeTableDiscrete rsvna_rngLimitFailType;
extern RsCoreRangeTableDiscrete rsvna_rngDecimalSeparator;
extern RsCoreRangeTableDiscrete rsvna_rngFieldSeparator;
extern RsCoreRangeTableRanged rsvna_rngDistanceToFaultDistance;
extern RsCoreRangeTableRanged rsvna_rngDistanceToFaultLimit;
extern RsCoreRangeTableDiscrete rsvna_rngTDRRiseTimeThreshold;
extern RsCoreRangeTableDiscrete rsvna_rngPrintColorScheme;
extern RsCoreRangeTableRanged rsvna_rngGPIORange;
extern RsCoreRangeTableRanged rsvna_rng4bits;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerAUXOutPolarity;
extern RsCoreRangeTableDiscrete rsvna_rngCalDetectorType;
extern RsCoreRangeTableDiscrete rsvna_rngDeltaLMeasurement;
extern RsCoreRangeTableDiscrete rsvna_rngDeltaLCharacterisationMethod;
extern RsCoreRangeTableDiscrete rsvna_rngDeltaLPortOrder;
extern RsCoreRangeTableDiscrete rsvna_rngDeltaLSweepControl;
extern RsCoreRangeTableDiscrete rsvna_rngHUMSDataFormat;
extern RsCoreRangeTableDiscrete rsvna_rngTouchstoneExportFormat;
extern RsCoreRangeTableDiscrete rsvna_rngPowerDeEmbType;
extern RsCoreRangeTableDiscrete rsvna_rngAGCMethod;
extern RsCoreRangeTableDiscrete rsvna_rngSNMPAccess;
extern RsCoreRangeTableDiscrete rsvna_rngSNMPSecurityLevel;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationGeneralStandard;
extern RsCoreRangeTableDiscrete rsvna_rngPowerDeEmbNwType;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationValidationStandard;
extern RsCoreRangeTableDiscrete rsvna_rngPipeliningState;
extern RsCoreRangeTableDiscrete rsvna_rngHUMSSNMPVersion;
extern RsCoreRangeTableDiscrete rsvna_rngHUMSDeviceData;
extern RsCoreRangeTableDiscrete rsvna_rngHUMSDeviceStatus;
extern RsCoreRangeTableDiscrete rsvna_rngServiceCalibrationDueState;
extern RsCoreRangeTableDiscrete rsvna_rngServiceDueState;
extern RsCoreRangeTableRanged rsvna_rngDataDecimalPlaces;
extern RsCoreRangeTableDiscrete rsvna_rngDeltaLFrequencyList;
extern RsCoreRangeTableDiscrete rsvna_rngDeltaLLine;
extern RsCoreRangeTableDiscrete rsvna_rngInterpolationMethod;
extern RsCoreRangeTableDiscrete rsvna_rngSMAInputFreq;
extern RsCoreRangeTableDiscrete rsvna_rngSMAOutputFreq;
extern RsCoreRangeTableDiscrete rsvna_rngIFSignalPath;
extern RsCoreRangeTableDiscrete rsvna_rngPhaseMode;
extern RsCoreRangeTableDiscrete rsvna_rngFastPowerSweep;
extern RsCoreRangeTableDiscrete rsvna_rngSweepTimerMode;
extern RsCoreRangeTableDiscrete rsvna_rngLedColor;
extern RsCoreRangeTableDiscrete rsvna_rngRFPowerOff;
extern RsCoreRangeTableDiscrete rsvna_rngReceiverInput;
extern RsCoreRangeTableDiscrete rsvna_rngALCOptimize;
extern RsCoreRangeTableDiscrete rsvna_rngALCPI;
extern RsCoreRangeTableDiscrete rsvna_rngALCNetworkusage;
extern RsCoreRangeTableDiscrete rsvna_rngAttMode;
extern RsCoreRangeTableDiscrete rsvna_rngRearLOSweepType;
extern RsCoreRangeTableDiscrete rsvna_rngPresetMode;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerAUXSignalType;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerExtInput;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerLogicSeq;
extern RsCoreRangeTableDiscrete rsvna_rngTriggerLogic;
extern RsCoreRangeTableRanged rsvna_rngPhaseDeg;
extern RsCoreRangeTableRanged rsvna_rngTDIFModeImbalanceAmplitude;
extern RsCoreRangeTableRanged rsvna_rngLinearityDeviationElectricalLength;
extern RsCoreRangeTableDiscrete rsvna_rngLinearityDeviationMode;
extern RsCoreRangeTableRanged rsvna_rngMixerDelay2ToneDeltaFreq;
extern RsCoreRangeTableRanged rsvna_rngMixerDelayConstantDelay;
extern RsCoreRangeTableDiscrete rsvna_rngGroupDelayReceiverMode;
extern RsCoreRangeTableDiscrete rsvna_rngUpperToneSource;
extern RsCoreRangeTableDiscrete rsvna_rngSplitterLOPort;
extern RsCoreRangeTableDiscrete rsvna_rngConverterIFInput;
extern RsCoreRangeTableRanged rsvna_rngSidebandCorrectionFrequency;
extern RsCoreRangeTableRanged rsvna_rngPulseModeDutyCycle;
extern RsCoreRangeTableDiscrete rsvna_rngPulseGeneratorSource;
extern RsCoreRangeTableCoerced rsvna_rngPowerALCBandwidth;
extern RsCoreRangeTableRanged rsvna_rngPowerALCPortPIGain;
extern RsCoreRangeTableRanged rsvna_rngPowerALCPortPIIntegrationTime;
extern RsCoreRangeTableRanged rsvna_rngPowerALCPortStartOffset;
extern RsCoreRangeTableRanged rsvna_rngPowerALCSettlingTolerance;
extern RsCoreRangeTableDiscrete rsvna_rngNoiseFigureSweeps;
extern RsCoreRangeTableRanged rsvna_rngCalibrationReferenceReceiverAttenuation;
extern RsCoreRangeTableDiscrete rsvna_rngTransferPowerControlMode;
extern RsCoreRangeTableDiscrete rsvna_rngLevelingDatasetMode;
extern RsCoreRangeTableDiscrete rsvna_rngCombiner;
extern RsCoreRangeTableCoerced rsvna_rngElectronicSourceAttenuation;
extern RsCoreRangeTableRanged rsvna_rngTriggerAUXOutDelay;
extern RsCoreRangeTableDiscrete rsvna_rngLOSequenceMode;
extern RsCoreRangeTableDiscrete rsvna_rngLOUsage;
extern RsCoreRangeTableDiscrete rsvna_rngSpectrumDetector;
extern RsCoreRangeTableDiscrete rsvna_rngSpectrumImageRejection;
extern RsCoreRangeTableRanged rsvna_rngPortConfigPrimedWavesFrequency;
extern RsCoreRangeTableDiscrete rsvna_rngFrequencyConversionReceiverFrequency;
extern RsCoreRangeTableRanged rsvna_rngPortPowerLimit;
extern RsCoreRangeTableDiscrete rsvna_rngDirectReceiverInput;
extern RsCoreRangeTableDiscrete rsvna_rngDirectRearInputPath;
extern RsCoreRangeTableDiscrete rsvna_rngDirectRearOut;
extern RsCoreRangeTableRanged rsvna_rngPreamplifierGain;
extern RsCoreRangeTableDiscrete rsvna_rngLOPort;
extern RsCoreRangeTableDiscrete rsvna_rngDeembedAssistantTool;
extern RsCoreRangeTableDiscrete rsvna_rngDeembedAssistantCouponType;
extern RsCoreRangeTableDiscrete rsvna_rngDeembedAssistantDUTType;
extern RsCoreRangeTableDiscrete rsvna_rngDeembedAssistantPosition;
extern RsCoreRangeTableDiscrete rsvna_rngDeembedAssistantDUTPosition;
extern RsCoreRangeTableDiscrete rsvna_rngEZDPortOrder;
extern RsCoreRangeTableDiscrete rsvna_rngLimitLineSegmentType;
extern RsCoreRangeTableDiscrete rsvna_rngHUMSUtilizationUpdateValue;
extern RsCoreRangeTableRanged rsvna_rngHUMSUtilizationDeleteCustom;
extern RsCoreRangeTableDiscrete rsvna_rngHUMSSeverity;
extern RsCoreRangeTableDiscrete rsvna_rngDeembedModel;
extern RsCoreRangeTableDiscrete rsvna_rngCalLocation;
extern RsCoreRangeTableDiscrete rsvna_rngDeEmbeddingPosition;
extern RsCoreRangeTableDiscrete rsvna_rngSweepTimeMode;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationValidationFormat;
extern RsCoreRangeTableDiscrete rsvna_rngTDREyeTransferRateUnits;
extern RsCoreRangeTableRanged rsvna_rngIndependentGeneratorPortStepAttenuator;
extern RsCoreRangeTableDiscrete rsvna_rngPremeasurementMode;
extern RsCoreRangeTableDiscrete rsvna_rngPremeasurementDetector;
extern RsCoreRangeTableDiscrete rsvna_rngSweepGenerationMode;
extern RsCoreRangeTableDiscrete rsvna_rngFormatIdentify;
extern RsCoreRangeTableRanged rsvna_rngMETASUncertainlyBand;
extern RsCoreRangeTableDiscrete rsvna_rngCalibrationConverterOffsetType;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSVNA_ATTR_INIT_SW_TRIGGER;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_RECALL_SET_NEW;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_RECALL_SET_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_RECALL_SET_CLOSE;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_RECALL_SET_CLOSE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_RECALL_SET_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_RECALL_SET_STORE;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_RECALL_SET_LOAD;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_RECALL_SET_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_CHANGE_DRIVE;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_CHANGE_DIRECTORY;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_CREATE_DIRECTORY;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_REMOVE_DIRECTORY;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_REMOVE;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_LIST_OF_FAVORITE_RECALL_SET;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_LOAD_DISTANCE_TO_FAULT_CABLE_TYPES;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_STORE_DISTANCE_TO_FAULT_CABLE_TYPES;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_ADDED_COMMENT;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_SYMMETRIC_PARAMS;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_DATA_DECIMAL_PLACES;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_STIMULUS_DECIMAL_PLACES;
extern RsCoreAttribute g_RSVNA_ATTR_FILE_TOUCHSTONE_EXPORT_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_START;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_PRINTER_NAME;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_FILE_NAME;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_FILE_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_ALL_HEADERS;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_LOGO;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_MARKER_LIST;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_DIAGRAM_AREA;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_USE_COLOR;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_COLOR_SCHEME;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_PAGE_ORIENTATION;
extern RsCoreAttribute g_RSVNA_ATTR_PRINT_PAGE_MARGIN;
extern RsCoreAttribute g_RSVNA_ATTR_PARAMETER_CONVERSION;
extern RsCoreAttribute g_RSVNA_ATTR_WAVE_QUANTITIES_UNIT_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_WAVE_QUANTITIES_PHASE_NORMALIZATION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DC_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_PAE_MEASUREMENT_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_PAE_DC_INPUT;
extern RsCoreAttribute g_RSVNA_ATTR_PAE_PARAMETERS_VALUE;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_BALANCED_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_ALL_BALANCED_PORTS;
extern RsCoreAttribute g_RSVNA_ATTR_LOGICAL_PORT_REFERENCE_IMPEDANCE_RENORMALIZATION;
extern RsCoreAttribute g_RSVNA_ATTR_LOGICAL_PORT_REFERENCE_IMPEDANCE_USE_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_APERTURE_POINTS;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_ASSIGN_NAME;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_ASSIGN_DIAGRAM;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_DIAGRAM_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_SELECT_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_DELETE;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_DELETE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_DELETE_ALL_CHANNELS;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_CHANNEL_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_CHANNEL_CATALOG_BALANCED_PORTS;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_CHANNEL_RENAME;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_NAME_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_DATA_COPY_TO_MEMMORY;
extern RsCoreAttribute g_RSVNA_ATTR_MEMORY_TRACE_DELETE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_MEMORY_TRACE_DELETE_ALL_CHANNELS;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_MATH_EXPRESSION;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_MATH_FORMATTED_EXPRESSION;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_MATH_MODE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_MATH_FORMATTED_MODE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_MATH_FUNCTION;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_MATH_FORMATTED_FUNCTION;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_MATH_WAVE_QUANTITY_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_RESPONSE_S_DATA_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_TRACE_COMPLETE_SWEEP_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_TRACE_SHIFT_STIMULUS_VALUE;
extern RsCoreAttribute g_RSVNA_ATTR_SMOOTHING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SMOOTHING_APERTURE;
extern RsCoreAttribute g_RSVNA_ATTR_HOLD_TRACE;
extern RsCoreAttribute g_RSVNA_ATTR_IMPORT_TRACE_DATA_AUTO_DISTRIBUTE;
extern RsCoreAttribute g_RSVNA_ATTR_DEFINE_SWEEP_AND_MEASUREMENT;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_SWEEP_AND_MEASUREMENT_DEFINITION;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_STIMULUS;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_IMPULSE_RESPONSE;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_SIDE_LOBE_LEVEL;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_RESOLUTION_ENHANCEMENT;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_HARMONIC_GRID_AND_KEEP;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_DC_VALUE;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_EXTRAPOLATE_DC_VALUE;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_CONTINUOUS_EXTRAPOLATION;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_CALCULATE_HARMONIC_GRID;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_VSWR_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_SHOW_RANGE_LINES;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_FILTER_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_SIDEBAND_SUPRESSION;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_START_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_STOP_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_CENTER_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_SPAN;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_OFFSET_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_GATE_LINKING;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_WINDOW_START_DISTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_WINDOW_STOP_DISTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_WINDOW_CENTER;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_WINDOW_SPAN;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_AUTO_NUMBER_OF_POINTS;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_CABLE_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_LIMIT_CHECK_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_LIMIT;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_DEFINE_CABLE_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_DELETE_CABLE_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_DISTANCE_TO_FAULT_PEAK_LIST_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICS_DISPLAY_RESULTS;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICS_DISPLAY_ALL_RESULTS;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICS_EVALUATION_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICS_EVALUATION_RANGE_START;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICS_EVALUATION_RANGE_STOP;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICS_EVALUATION_RANGE_SHOW_LIMIT_LINES;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_RESULTS;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_VALUE;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_POINT_RESULT_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_PHASE;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_REFERENCE_VALUE;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_REFERENCE_MARKER;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_REFERENCE_PHASE;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_REFERENCE_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_REFERENCE_RANGE_SHOW;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_REFERENCE_RANGE_START;
extern RsCoreAttribute g_RSVNA_ATTR_STATISTICAL_COMPRESSION_REFERENCE_RANGE_STOP;
extern RsCoreAttribute g_RSVNA_ATTR_SHOW_LIMIT_LINE;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_CHECK;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSVNA_ATTR_GLOBAL_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_CHECK_CLEAR;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_FAIL_BEEP;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_SEGMENT_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_SEGMENT_VALUES;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_SEGMENT_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_SEGMENT_FORMULA_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_SEGMENT_FORMULA;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_SEGMENT_INTERPOLATION;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_HORIZONTAL_SHIFT;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_VERTICAL_SHIFT;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_DELETE_ALL_SEGMENTS;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_TTL_PASS;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_LINE_TTL_PASS_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_HORIZONTAL_LINE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_HORIZONTAL_LINE_POSITION;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_LIMIT_LINE_FAIL_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_LIMIT_CHECK_LOWER_POINTS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_LIMIT_CHECK_UPPER_POINTS;
extern RsCoreAttribute g_RSVNA_ATTR_SHOW_RIPPLE_LIMITS;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_CHECK;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_GLOBAL_CHECK_RESULT;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_CHECK_CLEAR;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_FAIL_BEEP;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_RANGE_SEGMENT_CHECK;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_LINE_SEGMENT_VALUES;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_LINE_SEGMENT_LIMIT;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_RANGES_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_DELETE_ALL_RANGES;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_PHYSICAL_UNITS;
extern RsCoreAttribute g_RSVNA_ATTR_RIPPLE_LIMIT_RESPONSE_DOMAIN_FORMAT_UNITS;
extern RsCoreAttribute g_RSVNA_ATTR_SHOW_CIRCLE_LIMITS;
extern RsCoreAttribute g_RSVNA_ATTR_CIRCLE_LIMIT_CHECK;
extern RsCoreAttribute g_RSVNA_ATTR_CIRCLE_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSVNA_ATTR_CIRCLE_LIMIT_CHECK_CLEAR;
extern RsCoreAttribute g_RSVNA_ATTR_CIRCLE_FAIL_BEEP;
extern RsCoreAttribute g_RSVNA_ATTR_CIRCLE_CLEAR;
extern RsCoreAttribute g_RSVNA_ATTR_CIRCLE_SHOW_BORDER;
extern RsCoreAttribute g_RSVNA_ATTR_LIMIT_TO_CIRCLE;
extern RsCoreAttribute g_RSVNA_ATTR_CIRCLE_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_INFINITE_AVERAGING_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_INFINITE_AVERAGING_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_DLL_LIST;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_TASK_LIST;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_PERMANENT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_PERMANENT_TASK;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_PERMANENT_TASK_ADDITIONAL_INPUT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_EXTERNAL_DLL_TASK_ADDRESS;
extern RsCoreAttribute g_RSVNA_ATTR_ADD_EXTERNAL_DLL;
extern RsCoreAttribute g_RSVNA_ATTR_REMOVE_EXTERNAL_DLL;
extern RsCoreAttribute g_RSVNA_ATTR_LINEARITY_DEVIATION_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_RECALCULATE_LINEARITY_DEVIATION;
extern RsCoreAttribute g_RSVNA_ATTR_LINEARITY_DEVIATION_CONSTANT;
extern RsCoreAttribute g_RSVNA_ATTR_LINEARITY_DEVIATION_ELECTRICAL_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_LINEARITY_DEVIATION_SLOPE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_STIMULUS;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_MARKER_RESPONSE;
extern RsCoreAttribute g_RSVNA_ATTR_REFERENCE_MARKER_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_REFERENCE_MARKER_STIMULUS;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_REFERENCE_MARKER_RESPONSE;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_MARKER_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_REFERENCE_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_DEFAULT_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_DISABLE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_EXPORT;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_COUPLING;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_NAME;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_THRESHOLD;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_THRESHOLD_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_COUPLED_MARKERS;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_COUPLING_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_MAXIMUM_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_MINIMUM_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_EXCURSION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_EXCURSION_MINIMUM;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SPECTRUM_EQUALS_MARKER;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_MULTIPLE_PEAK_EXCURSION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_MULTIPLE_PEAK_EXCURSION_MINIMUM;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_MULTIPLE_PEAK_THRESHOLD;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_MULTIPLE_PEAK_THRESHOLD_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_CENTER_SWEEP_RANGE_TO_MARKER_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_START_SWEEP_RANGE_TO_MARKER_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_STOP_SWEEP_RANGE_TO_MARKER_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_THRESHOLD_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_THRESHOLD_ENABLED_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_EXCURSION_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_EXCURSION_REFERENCE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_TARGET_VALUE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_TARGET_VALUE_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_TARGET_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_TARGET_FORMAT_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_BANDFILTER_SEARCH_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_X_DB_BANDWIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_BANDFILTER_SEARCH_RESULT_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_TRACKING;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_TRACKING_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_RANGE_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_RANGE_START;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_RANGE_START_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_RANGE_STOP;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_RANGE_STOP_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_RANGE_SHOW_LIMIT_LINES;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_RANGE_SHOW_LIMIT_LINES_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_LEFT_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_NEXT_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_RIGHT_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_MARKER_SEARCH_IMMEDIATE_REFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_RANGE_TO_MARKER;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_FREQUENCY_START;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_FREQUENCY_STOP;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_FREQUENCY_CENTER;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_INTERNAL_SOURCE_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_FREQUENCY_CW;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_POWER_START_STOP;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_SOURCE_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_SOURCE_STEP_ATTENUATOR;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_FREQUENCY_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_FREQUENCY_START_MIN_MAX_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_STIMULUS_FREQUENCY_STOP_MIN_MAX_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_STIMULUS_START_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_STIMULUS_STOP_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_STIMULUS_CENTER_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_STIMULUS_TIME_SPAN;
extern RsCoreAttribute g_RSVNA_ATTR_TIME_DOMAIN_STIMULUS_X_AXIS_SCALING;
extern RsCoreAttribute g_RSVNA_ATTR_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PREAMPLIFIER_GAIN;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_AUTOMATIC_IF_BANDWIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_BANDWIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_COUPLE;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_AUTO_SETTLING;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_SETTLING_TOLERANCE;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_CONTROL_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_OPTIMIZE;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_PI;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_PI_GAIN;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_PI_INTEGRATION_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_CONTROL_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_RECEIVER;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_START_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_TABLE_AREA_ON;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_TARGET_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_TARGET_POWER_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_PORT_DEEMBEDING_NETWORK_USAGE;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_ALC_CLAMP;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_RF_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_RESOLUTION_BANDWIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_FILTER_SELECTIVITY;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_SWEEP_AVERAGE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_SWEEP_AVERAGE_FACTOR;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_SWEEP_AVERAGE_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_SWEEP_AVERAGE_RESTART;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_DYNAMIC_BW_AT_LOW_FREQUENCIES;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_ANALOG_IF_FILTER;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_POINTS_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_FREQUENCY_STEP_SIZE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_TIME_AUTO;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MEASUREMENT_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MEASUREMENT_DELAY_INSERTION_POINT;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_STIMULUS_AXIS;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_START;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_START_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_IN_ALL_CHANNELS;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_IN_SINGLE_CHANNEL;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_OPTIMIZE_CHANNEL_SWITCHING_AUTO;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_SWEEP_OPTIMIZE_CHANNEL_SWITCHING_MANUAL;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_INSERT_NEW_SEGMENT;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_INSERT_TIME_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_REDEFINE_SEGMENT;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_REDEFINE_TIME_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_ADD;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_DELETE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_DELETE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_X_AXIS;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_FREQUENCY_START;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_FREQUENCY_STOP;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_NUMBER_OF_POINTS;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_POINT_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_MEAS_BANDWIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_SELECTIVITY;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_INDEPENDENT_POWER_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_INDEPENDENT_MEAS_BANDWIDTH_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_INDEPENDENT_SELECTIVITY_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_INDEPENDENT_TIME_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_INDEPENDENT_POINT_DELAY_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_SWEEP_SEGMENT_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_SWEEP_SEGMENT_FREQUENCY_CENTER;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_SWEEP_SEGMENT_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_SWEEP_SEGMENTS_SUM_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MODE_CONTINUOUS;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MODE_CONTINUOUS_ALL_CHANNEL;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MODE_CONTROLLED_TIMING;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_COUNT_ALL_CHANNELS;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SCOPE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_DETECTOR_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_PORT_POWER_LEVEL;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_PORT_LEVEL_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_WAIT_TIME_PER_POINT;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_TIME_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_FAST_POWER_SWEEP;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_REVERSE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_TIMER_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_ONLY_ACTIVE_CHANNEL_ON;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MINIMUM_WAIT_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MINIMUM_WAIT_TIME_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_FIXED_WAIT_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_FIXED_WAIT_TIME_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MANUAL_WAIT_TIME_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MINIMUM_WAIT_TIME_INITIALIZATION_CHANNEL;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MINIMUM_WAIT_TIME_INITIALIZATION_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MAXIMUM_WAIT_TIME_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MAXIMUM_WAIT_TIME_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MINIMUM_WAIT_TIME_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_MINIMUM_WAIT_TIME_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_WAIT_TIME_FIXED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_WAIT_TIME_FIXED_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_WAIT_TIME_FIXED_MAXIMUM;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_SEGMENT_WAIT_TIME_FIXED_MINIMUM;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_TIMING_INFO_BOX_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SWEEP_GENERATION_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_SELECT_CALIBRATION_TYPE_SIMPLE;
extern RsCoreAttribute g_RSVNA_ATTR_SYSTEM_ERROR_CORRECTION_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_LOAD_CALIBRATION_DATA_FROM_CAL_GROUP_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_LOAD_MATCH_CORRECTION_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_AUTO_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_ALL_CHANNELS_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_CALIBRATION_GROUP_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_INITIATE_CALIBRATION_AUTO_ASSIGNMENT;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_ALL_CALIBRATION_AUTO_ASSIGNMENTS;
extern RsCoreAttribute g_RSVNA_ATTR_SAVE_CALIBRATION_AUTO_ASSIGNMENT;
extern RsCoreAttribute g_RSVNA_ATTR_GENERATE_DEFAULT_CALIBRATION_AUTO_ASSIGNMENT;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_AUTO_ASSIGNMENT_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_AUTO_ASSIGNMENT_ALL_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_MULTICALIBRATION_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_AUTO_MINIMUM_CONNECT;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_AUTO_COMMON_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_TERMINATE_SYSTEM_ERROR_CORRECTION;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_CLEAN;
extern RsCoreAttribute g_RSVNA_ATTR_WAVE_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_CALCULATE_AFTER_DEEMBED_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_DATE_AND_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_STATUS;
extern RsCoreAttribute g_RSVNA_ATTR_REPEAT_PREVIOUS_CALIBRATION;
extern RsCoreAttribute g_RSVNA_ATTR_REPEAT_PREVIOUS_CALIBRATION_CURRENT;
extern RsCoreAttribute g_RSVNA_ATTR_SELECT_CALIBRATION_UNIT;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_UNIT_LIST;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_AUTOMATIC_POWER_REDUCTION;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_AUTOMATIC_MEMORY_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_UNIT_CHARACTERIZATIONS_LIST;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_UNIT_WARMUP_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_CONNECTOR;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_SAME_CONNECTOR_AT_ALL_PORTS;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_SAME_GENDER_AT_ALL_PORTS;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_DELETE_USER_CONNECTOR_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_CONNECTOR_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_CONNECTOR_TYPE_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_SAVE_CALIBRATION_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_GENERATE_DEFAULT_CALIBRATION_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_CALIBRATION_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_ALL_CALIBRATION_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_EXPORT_FACTORY_CALIBRATION_DATA_TO_TOUCHSTONE_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_CALIBRATION_DATA_PARAMETERS_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_SELECT_CALIBRATION_KIT;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_KIT_PASSWORD;
extern RsCoreAttribute g_RSVNA_ATTR_SAVE_CALIBRATION_KIT;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_CALIBRATION_KIT;
extern RsCoreAttribute g_RSVNA_ATTR_IMPORT_CAL_KIT;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_KIT_ADDITIONAL_DIRECTORY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_DETECTOR_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_OTHER_SOURCES;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_NUMBER_OF_READINGS;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_TOLERANCE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_CONVERGENCE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_SOURCE_POWER_CALIBRATION_DATA_PARAMETERS;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_POWER_METER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_SOURCE_POWER_CALIBRATION_POWER_DEEMBEDDING;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_SOURCE_POWER_CALIBRATION_DATA_PARAMETERS_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_SOURCE_POWER_CALIBRATION;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_GENERATOR_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_GENERATOR_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_POWER_SELECT;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_REFERENCE_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_DUMMY_SOURCE_POWER_CALIBRATION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FAST_SOURCE_POWER_CALIBRATION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_ELECTRONIC_SOURCE_ATTENUATION;
extern RsCoreAttribute g_RSVNA_ATTR_ELECTRONIC_SOURCE_ATTENUATION_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_GENERATOR_MINIMUM_SETTLING_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_RECEIVER_POWER_ATTENUATION;
extern RsCoreAttribute g_RSVNA_ATTR_RECIEVER_POWER_CALIBRATION_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_RECIEVER_POWER_CALIBRATION_AWAVE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_POWER_METER_TRANSMISSION_COEFFICIENTS_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_METER_TWO_PORT_POSITION;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_METER_DELETE_COEFFICIENT;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_METER_DELETE_ALL_COEFFICIENTS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_POWER_METER_TRACE_TO_LIST;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_POWER_METER_NUMBER_OF_POINTS;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_METER_SAVE_POWER_LOSS_LIST;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_METER_LOAD_POWER_LOSS_LIST;
extern RsCoreAttribute g_RSVNA_ATTR_ACTIVATE_POWER_CALIBRATION;
extern RsCoreAttribute g_RSVNA_ATTR_START_CALIBRATION_INTERMODULATION_SOURCE;
extern RsCoreAttribute g_RSVNA_ATTR_START_CALIBRATION_INTERMODULATION_RECEIVER;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_SWEEP_END_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_SWEEP_END_SETTLING_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_PORT_FLATNESS_CALIBRATION;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_CALIBRATION_METHOD;
extern RsCoreAttribute g_RSVNA_ATTR_POWER_CALIBRATION_REFERENCE_RECEIVER_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_AUTOMATIC_VECTOR_MIXER;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_NOISE_DATA_RECEIVING_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_SAME_SWEEP_SETUP;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_SWEEP_SETUP;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_REFERENCE_RECEIVER_ATTENUATION;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_IMD_METHOD;
extern RsCoreAttribute g_RSVNA_ATTR_START_HARMONIC_SOURCE_CALIBRATION;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_INTERPOLATION_METHOD;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_FAST_MULTIPORT_CORRECTION;
extern RsCoreAttribute g_RSVNA_ATTR_START_HARMONIC_RECEIVER_CALIBRATION;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_ICS_REPEAT;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_ICS_TEMEPRATURE_COMPENSATION;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_ICS_UNKNOWN_THROUGH;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_ARE_CALIBRATIONS_JOINABLE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_JOIN_CALLIBRATIONS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_DELAY_MIXER;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_INTERNAL_COMBINER_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_CONVERTER_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_CONFIGURE_CALIBRATION_STANDARD;
extern RsCoreAttribute g_RSVNA_ATTR_CONFIGURE_CALIBRATION_STANDARD_WITH_LABEL;
extern RsCoreAttribute g_RSVNA_ATTR_RUN_CALIBRATION_VALIDATION;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_VALIDATION_STANDARD;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_VALIDATION_CHARACTERIZATION;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_MAGNITUDE_LOWER_DEVIATION;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_MAGNITUDE_UPPER_DEVIATION;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_PHASE_LOWER_DEVIATION;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_PHASE_UPPER_DEVIATION;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_VALIDATION_AVERAGE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_VALIDATION_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_VALIDATION_PRESET;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_VALIDATION_RESULT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_IMAGINARY_LOWER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_IMAGINARY_UPPER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_REAL_LOWER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CALIBRATION_VALIDATION_REAL_UPPER;
extern RsCoreAttribute g_RSVNA_ATTR_METAS_CALIBRATION_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_METAS_CABLE_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_METAS_SELECT_CABLE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_METAS_CABLE_RECONNECTION;
extern RsCoreAttribute g_RSVNA_ATTR_METAS_CLEAR_CABLE_RECONNECTION_HISTORY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_METAS_CABLE_MOVEMENT;
extern RsCoreAttribute g_RSVNA_ATTR_METAS_CLEAR_CABLE_MOVEMENT_HISTORY;
extern RsCoreAttribute g_RSVNA_ATTR_METAS_UNCERTAINLY_BAND;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_HARMONIC_ORDERS;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_HARMONIC_ORDER_ADD;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_HARMONIC_ORDER_REMOVE;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_POWER_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_POWER_ATTENUATOR;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_POWER_ATTENUATOR_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_POWER_SOURCE_ATTENUATOR;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_POWER_SOURCE_ATTENUATOR_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_POWER_PREAMPLIFIER;
extern RsCoreAttribute g_RSVNA_ATTR_ADVANCED_POWER_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_TERMINATE;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_SAVE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_NOISE_FIGURE_CALIBRATION_START;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_SWEEP;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_NOISE_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_GAIN_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_NOISE_FIGURE_CALIBRATION_INITIATE_MEASUREMENT;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_AVG_DETECTOR_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_SIDEBAND_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_SIDEBAND_CORRECTION_MINIMUM_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_SIDEBAND_CORRECTION_FREQUENCY_LIMIT;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_SIDEBAND_CORRECTION_MAXIMUM_ORDER;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_IF_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_IF_FREQUENCY_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_RMS_DETECTOR_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_DUT_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_AMBIENT_TEMPERATURE;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_VIRTUAL_IMAGE_REJECTION;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_SEGMENT_VIRTUAL_IMAGE_REJECTION;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_CALIBRATION_SEGMENT_VIRTUAL_IMAGE_CONTROL_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_QUICKSET_EXTERNAL_ATTENUATOR_RECEIVER;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_QUICKSET_EXTERNAL_ATTENUATOR_SOURCE;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_QUICKSET_TRACE_NOISE;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_QUICKSET_DUT_EXPECTED_NOISE_FIGURE;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_QUICKSET_DUT_EXPECTED_GAIN;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_QUICKSET_DUT_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_NOISE_FIGURE_QUICKSET_EXECUTE;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_MIXER_PHASE_IF_START_CALIBRATION;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_MIXER_PHASE_IF_START_SECOND_STEP;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_MIXER_PHASE_START_RF_CALIBRATION;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_MIXER_PHASE_START_LO_CALIBRATION;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_CLEAR_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_CLEAR;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_REMOVE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_LOAD;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_STORE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_NUMBER_OF_POINTS;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_START_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_STOP_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_START_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_STOP_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_ALC_STEP_SIZE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_POWER_STEP_SIZE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_START_CAL_SWEEP;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_LEVELING_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PREMEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PREMEASUREMENT_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_PREMEASUREMENT_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PREMEASUREMENT_CONVERGENCE_FACTOR;
extern RsCoreAttribute g_RSVNA_ATTR_PREMEASUREMENT_DETECTOR;
extern RsCoreAttribute g_RSVNA_ATTR_PREMEASUREMENT_MAX_PRECAL_SWEEPS;
extern RsCoreAttribute g_RSVNA_ATTR_PREMEASUREMENT_TOLERANCE;
extern RsCoreAttribute g_RSVNA_ATTR_PREMEASUREMENT_RECEIVER;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_NAME;
extern RsCoreAttribute g_RSVNA_ATTR_CHANNEL_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_ACTIVE_CHANNEL;
extern RsCoreAttribute g_RSVNA_ATTR_NUMBER_OF_TEST_PORTS;
extern RsCoreAttribute g_RSVNA_ATTR_DRIVING_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_DRIVING_MODE_ALTERNATED_BLOCKS;
extern RsCoreAttribute g_RSVNA_ATTR_TRACK_LO;
extern RsCoreAttribute g_RSVNA_ATTR_TRACK_LO_FREQUENCY_DIFFERENCE;
extern RsCoreAttribute g_RSVNA_ATTR_LO_USAGE;
extern RsCoreAttribute g_RSVNA_ATTR_PHASE_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_SPURIOUS_AVOIDANCE;
extern RsCoreAttribute g_RSVNA_ATTR_FREQUENCY_CONVERSION_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_FREQUENCY_CONVERSION_MIXER_FIXED_IF_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_FREQUENCY_CONVERSION_MIXER_FIXED_LO_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_FREQUENCY_CONVERSION_MIXER_FIXED_RF_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_RF_SIGNAL_SOURCE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_GENERATOR_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_PERMANENT_SIGNAL_SOURCE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_PERMANENT_SIGNAL_GENERATOR_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_CALIBRATION_SLOPE;
extern RsCoreAttribute g_RSVNA_ATTR_AUTOMATIC_GAIN_CONTROL_FOR_MEASUREMENT_CHANNEL;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_LOGICAL_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_ALL_LOGICAL_PORTS;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_PORT_GROUP;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_ALL_PORT_GROUPS;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_GROUPS_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_GROUPS_PORT_ORDER;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_GROUPS_STATE_INDICATION_WARNING;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_GROUPS_PARALLEL_MEASUREMENT_WITH_FREQUENCY_OFFSET_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_GROUPS_PARALLEL_MEASUREMENT_WITH_FREQUENCY_OFFSET_BANDWIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_GROUPS_PARALLEL_MEASUREMENT_MINIMUM_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_GROUPS_PARALLEL_MEASUREMENT_MINIMUM_OFFSET_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_PARALLEL_MEASUREMENT_PORT_GROUP_NAME;
extern RsCoreAttribute g_RSVNA_ATTR_PARALLEL_MEASUREMENT_NUMBER_OF_PORTS;
extern RsCoreAttribute g_RSVNA_ATTR_DATA_EXTRAPOLATION;
extern RsCoreAttribute g_RSVNA_ATTR_ACTIVATES_LO_SUPRESSION;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_THRU_MEAS;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_POWER_THRU_MEAS_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_IO_VOLTAGE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_LOW_VOLTAGE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_HIGH_VOLTAGE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_COMMAND;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_SEND_COMMAND;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_VOLTAGE;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_SHUNT;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_APPLY;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_START_ALL_MEASUREMENTS;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_MEASUREMENT_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_GPIO_SUM;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_CURRENT_MEASUREMENT;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_CURRENT_MEASUREMENT_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_VOLTAGE_MEASUREMENT;
extern RsCoreAttribute g_RSVNA_ATTR_GPIO_VOLTAGE_MEASUREMENT_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_UNSEGMENTED_SWEEP_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_UNSEGMENTED_SWEEP_DELETE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_UNSEGMENTED_SWEEP_RFFE_COMMAND;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_UNSEGMENTED_SWEEP_GPIO_VOLTAGE;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_UNSEGMENTED_SWEEP_DELAY_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_SEGMENTED_SWEEP_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_SEGMENTED_SWEEP_DELETE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_SEGMENTED_SWEEP_RFFE_COMMAND;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_SEGMENTED_SWEEP_GPIO_VOLTAGE;
extern RsCoreAttribute g_RSVNA_ATTR_SEQUENCER_SEGMENTED_SWEEP_DELAY_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_START_ALL_MEASUREMENTS;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_MEASUREMENT_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_DATA_VOLTAGE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_DATA_CURRENT;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_CLOCK_VOLTAGE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_CLOCK_CURRENT;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_VIO_VOLTAGE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_VIO_CURRENT;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_APPLY;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_CLOCK;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_VIO;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_DATA_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_CLOCK_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_VIO_RANGE;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_DATA_SHUNT;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_CLOCK_SHUNT;
extern RsCoreAttribute g_RSVNA_ATTR_RFFE_TEST_VIO_SHUNT;
extern RsCoreAttribute g_RSVNA_ATTR_AGC_GLOBAL_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_AGC_SEGMENTED_ENABLE;
extern RsCoreAttribute g_RSVNA_ATTR_START_AGC_LEARNING_SWEEP;
extern RsCoreAttribute g_RSVNA_ATTR_SAVE_AGC_LEARNING_RESULTS;
extern RsCoreAttribute g_RSVNA_ATTR_AGC_ALL_A_AND_B_WAVES_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_AGC_SEGMENT_ALL_A_AND_B_WAVES_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_AGC_GLOBAL_METHOD;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_NUMBER_OF_STAGES;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_RF_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_IF_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_BASE_FREQUENCY_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_FIXED_FREQUENCY_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_INPUT_SIGNAL;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_CONVERSION_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_TWO_TONE_SIGNAL_SOURCE;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_RECEIVER_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_CAL_SOURCE_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_ORDER_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_MAXIMUM_ORDER;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_TONE_DISTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_RESET;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_COMBINER;
extern RsCoreAttribute g_RSVNA_ATTR_INTERMODULATION_ADD_CW_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_CONFIG_USE_PRIMED_WAVES;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_CONFIG_PRIMED_WAVES_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_CONFIG_WAVES_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_CONFIG_RECEIVER_FREQUENCY_CONVERSION;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_RECEIVER_INPUT;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_REAR_INPUT_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_AUTO_DETERMINE_IF_OUT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_DIRECT_REAR_IF_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_REAR_OUT;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_MEASUREMENT_INPUT;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_REFERENCE_INPUT;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_MEASUREMENT_REAR_INPUT_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_REFERENCE_REAR_INPUT_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_MEASUREMENT_AUTO_DETERMINE_IF_OUT;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_REFERENCE_AUTO_DETERMINE_IF_OUT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_DIRECT_MEASUREMENT_IF_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_DIRECT_REFERENCE_IF_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_MEASUREMENT_REAR_OUT;
extern RsCoreAttribute g_RSVNA_ATTR_DIRECT_REFERENCE_REAR_OUT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_REAR_LO_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_REAR_LO_OUTPUT_POWER_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_REAR_LO_PERMANENT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_REAR_LO_POWER_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_MEASUREMENT_SEQUENCE;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_EXTERNAL_INPUT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_TRIGGER_LOGIC;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_STATUS_READY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_TRIGGER_READY_TIMEOUT;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_AUX_OUT_ENABLE;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_AUX_OUT_POLARITY;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_AUX_OUT_POSITION;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_AUX_OUT_INTERVAL;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_AUX_OUT_DURATION;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_AUX_OUT_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_TRIGGER_AUX_OUT_SIGNAL_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_LOST_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_LOST_TRIGGER_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_LOST_TRIGGER_RESET;
extern RsCoreAttribute g_RSVNA_ATTR_OFFSET_DELAY_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_OFFSET_ELECTRICAL_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_OFFSET_MECHANICAL_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_OFFSET_PERMITTIVITY;
extern RsCoreAttribute g_RSVNA_ATTR_ADJUST_TIME_GATE;
extern RsCoreAttribute g_RSVNA_ATTR_ONE_WAY_LOSS_AT_DC;
extern RsCoreAttribute g_RSVNA_ATTR_ONE_WAY_LOSS_AT_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_ONE_WAY_LOSS_FREQUENCY_FOR_LOSS;
extern RsCoreAttribute g_RSVNA_ATTR_ONE_WAY_LOSS_USE_SECOND_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_ONE_WAY_LOSS_AT_SECOND_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_ONE_WAY_LOSS_SECOND_FREQUENCY_FOR_LOSS;
extern RsCoreAttribute g_RSVNA_ATTR_AUTO_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_AUTO_LENGTH_AND_LOSS;
extern RsCoreAttribute g_RSVNA_ATTR_RESET_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_OFFSET_COMPENSATION;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_SINGLE_ENDED_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_SINGLE_ENDED_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_LOAD_SINGLE_ENDED_PORT_CIRCUIT_MODEL_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_LOAD_SINGLE_ENDED_PORT_CIRCUIT_MODEL_DEEMBEDDING_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_LOAD_SINGLE_ENDED_PORT_CIRCUIT_MODEL_EMBEDDING_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_BALANCED_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_BALANCED_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_DELETE_PORT_PAIR_DEEMBEDDING;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_DELETE_PORT_PAIR_EMBEDDING;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_PAIR_DEEMBEDDING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_PAIR_EMBEDDING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_PAIR_DEEMBEDDING_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_PAIR_EMBEDDING_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_DEEMBEDDING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_EMBEDDING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_DEEMBEDDING_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_EMBEDDING_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_DEEMBEDDING_CAPACITANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_EMBEDDING_CAPACITANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_DEEMBEDDING_INDUCTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_EMBEDDING_INDUCTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_DEEMBEDDING_RESISTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_EMBEDDING_RESISTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_DEEMBEDDING_CONDUCTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_EMBEDDING_CONDUCTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_DEEMBEDDING_LOAD_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_EMBEDDING_LOAD_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_DIFFERENTIAL_MATCH_EMBEDDING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_DIFFERENTIAL_MATCH_EMBEDDING_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_WAVE_DE_EMBED_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_COMPENSATION_OFFSET_CORRECTION_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_COMPENSATION_OFFSET_CORRECTION_AUTO_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_COMPENSATION_RESET;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_COMPENSATION_APPLY;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_GROUND_LOOP_PER_PORT_GROUP_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_DEEMBEDDING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_EMBEDDING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_DEEMBEDDING_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_EMBEDDING_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_DEEMBEDDING_CAPACITANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_EMBEDDING_CAPACITANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_DEEMBEDDING_INDUCTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_EMBEDDING_INDUCTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_DEEMBEDDING_RESISTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_EMBEDDING_RESISTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_DEEMBEDDING_CONDUCTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_EMBEDDING_CONDUCTANCE;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_DEEMBEDDING_LOAD_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_VIRTUAL_NETWORK_PORT_GROUP_GROUND_LOOP_EMBEDDING_LOAD_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_TIMESTAMD_FILENAMES_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DIRECTORY;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DIRECTORY_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_CLEAR_DEFAULT_DIRECTORY;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_COUPON_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_PORT_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_START_COUPON_MEASUREMENT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_LOAD_TOUCHSTONE_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_COUPON_INVALIDATES_FILE_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_DUT_PORT_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_MEASURE_DUT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_LOAD_DUT_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_DUT_INVALIDATES_FILE_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_RUN_SFD_SIMULATOR;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_APPLY_TO_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_USE_IMPEDANCE_CORRECTION;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_RESET_TO_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_2X_THRU_PORT_ORDERING;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_TOTAL_PORT_ORDERING;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_SFD_ADJUST_IMPEDANCE_MISMATCH_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_COUPON_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_PORT_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_START_COUPON_MEASUREMENT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_START_COUPON_MEASUREMENT_OPEN;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_START_COUPON_MEASUREMENT_SHORT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_LOAD_TOUCHSTONE_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_COUPON_INVALIDATES_FILE_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_LOAD_TOUCHSTONE_FILE_OPEN;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_LOAD_TOUCHSTONE_FILE_SHORT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_DUT_PORT_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_MEASURE_DUT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_LOAD_DUT_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_DUT_INVALIDATES_FILE_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_RUN_ISD_SIMULATOR;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_APPLY_TO_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_USE_IMPEDANCE_CORRECTION;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_RESET_TO_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_TEST_COUPONS_INSERTION_LOSS;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_LEAD_INS_ATTENUATION_SCALING;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_LEAD_INS_FLIGHT_TIME_SCALING;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_LEAD_INS_FLIGHT_TIME_OVERRIDE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_LEAD_INS_FLIGHT_TIME_OVERRIDE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_DUT_WITH_FIXTURE_PORT_SEQUENCE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_DUT_WITH_FIXTURE_DUT_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_DUT_WITH_FIXTURE_PORTS_TO_SKIP_NONE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_IDS_DUT_WITH_FIXTURE_PORTS_TO_SKIP_LEFT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_DUT_WITH_FIXTURE_PORTS_TO_SKIP_RIGHT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_DUT_WITH_FIXTURE_PORTS_TO_SKIP;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_CALCULATIONS_ENFORCE_PASSIVITY;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_CALCULATIONS_TRACE_COUPLING;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_CALCULATIONS_OPERATION_ACCURACY;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_CALCULATIONS_MAX_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_CALCULATIONS_DC_EXTRAPOLATION;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_ISD_CALCULATIONS_SMALL_FIXTURE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_PORT_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_START_COUPON_MEASUREMENT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_LOAD_TOUCHSTONE_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_INVALIDATES_FILE_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_DUT_PORT_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_MEASURE_DUT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_LOAD_DUT_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_DUT_INVALIDATES_FILE_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_RUN_EZD_SIMULATOR;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_APPLY_TO_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_PORT_ORDER;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_RESET_TO_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_GENERATE_SIDE_1_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_GENERATE_SIDE_2_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_DC_EXTRAPOLATION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_IMPEDANCE_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_REFERENCE_IMPEDANCE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_EZD_BANDWIDTH_LIMIT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_RESET;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_RUN;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_USE_SAME_COUPON;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_IMP_CORRECT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_TOOL;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_RIGHT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_LEFT_MODEL;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_LEFT_CLEAR;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_RIGHT_CLEAR;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_LEFT_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_RIGHT_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_LEFT_MEASURE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_RIGHT_MEASURE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_LEFT_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_RIGHT_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_LEFT_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_COUPON_RIGHT_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_DUT_MEASURE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_FIXTURE_MODELING_DEEMBED_ASSISTANT_DUT_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_FIXTURE_MODELING_DEEMBED_ASSISTANT_DUT_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_CHARACTERIZATION_METHOD;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_CHARACTERIZATION_M1L_DIFFERENTIAL_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_CHARACTERIZATION_MEASUREMENT;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_PORT_ORDER;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_FREQUENCIES_USE_DEFAULT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_FREQUENCY_COUNT_CURRENT;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_FREQUENCIES_CURRENT;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_FREQUENCY_COUNT_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_FREQUENCIES_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_FREQUENCY_COUNT_USER;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_FREQUENCIES_USER;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_ADD_USER_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_DELETE_USER_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_DELETE_ALL_USER_FREQUENCIES;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_SWEEP_CONTROL;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_SWEEP_CONTROL_STEP;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_SWEEP_CONTROL_IF_BANDWIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_SWEEP_CONTROL_DYNAMIC_BANDWIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_SWEEP_RANGE_MINIMUM;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_SWEEP_RANGE_MAXIMUM;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_USE_RECOMMENDED_TRACE_CONFIGURATION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_SHOW_TDR_IMPEDEDANCES_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_LOAD_1L_MEASUREMENT_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_LOAD_2L_MEASUREMENT_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_LOAD_3L_MEASUREMENT_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_1L_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_2L_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_3L_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_1L_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_2L_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_3L_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_MEASURE_1L;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_MEASURE_2L;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_MEASURE_3L;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_RUN;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_CLEAR_ALL_1L_MEASUREMENTS;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_CLEAR_1L_MEASUREMENT_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_DIRECTORY;
extern RsCoreAttribute g_RSVNA_ATTR_DELTA_L_DIRECTORY_DEFAULT;
extern RsCoreAttribute g_RSVNA_ATTR_HARMONIC_AUTOMATIC_GRID_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_HARMONIC_IS_CURRENT;
extern RsCoreAttribute g_RSVNA_ATTR_PIPELINING_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_PIPELINING_CHANNEL_RESULTS;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_DELAY_CALIBRATION_START;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_DELAY_2_TONE_DELTA_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_DELAY_CONSTANT_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_DELAY_DISABLE;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_DELAY_CALIBRATION_ACTIVE;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_DELAY_GROUP_DELAY_RECEIVER_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_DELAY_LOWER_TONE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_MIXER_DELAY_UPPER_TONE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_MIXER_DELAY_LOAD_KNOWN_DELAY_VALUES;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_MIXER_DELAY_LOAD_CORRECTION_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_MIXER_DELAY_STORE_CORRECTION_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_MIXER_DELAY_USE_CONSTANT_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_ACQUISITION_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_COUPLED_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_DUTY_CYCLE;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_FIXED_DUTY_CYCLE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_PERIOD;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_SOURCE;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_TRAIN_PERIOD;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_INTERNAL_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_MEASUREMENT_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_PERIOD;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_SYNC_MEASUREMENT_TO_PULSES;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_ALC_MEASUREMENT_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_WIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_PULSE_GENERATOR_TRAIN_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_TRAIN_DELETE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_TRAIN_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_SEGMENT_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_SEGMENT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_SEGMENT_START_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_GENERATOR_SEGMENT_STOP_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_PORT_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_PORT_INPUT_INVERTED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_PORT_OUTPUT_INVERTED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_PORT_EXTERNAL_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_PORT_WIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_PULSE_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_COHERENCE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_COHERENCE_OPTIMIZED_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_COHERENCE_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_COHERENCE_PORT_PHASE;
extern RsCoreAttribute g_RSVNA_ATTR_SOURCE_COHERENCE_PORT_PHASE_SPAN;
extern RsCoreAttribute g_RSVNA_ATTR_TDIF_MODE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDIF_MODE_COMPENSATE_IMBALANCE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDIF_MODE_IMBALANCE_PHASE_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_TDIF_MODE_IMBALANCE_PHASE_START;
extern RsCoreAttribute g_RSVNA_ATTR_TDIF_MODE_IMBALANCE_PHASE_STOP;
extern RsCoreAttribute g_RSVNA_ATTR_TDIF_MODE_IMBALANCE_AMPLITUDE_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_TDIF_MODE_IMBALANCE_AMPLITUDE_START;
extern RsCoreAttribute g_RSVNA_ATTR_TDIF_MODE_IMBALANCE_AMPLITUDE_STOP;
extern RsCoreAttribute g_RSVNA_ATTR_GAIN_COMPRESSION_VALUE;
extern RsCoreAttribute g_RSVNA_ATTR_GAIN_COMPRESSION_POWER_POINTS;
extern RsCoreAttribute g_RSVNA_ATTR_GAIN_COMPRESSION_START_POWER_POINT;
extern RsCoreAttribute g_RSVNA_ATTR_GAIN_COMPRESSION_STOP_POWER_POINT;
extern RsCoreAttribute g_RSVNA_ATTR_GAIN_COMPRESSION_RECEIVING_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_GAIN_COMPRESSION_DRIVING_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_GAIN_COMPRESSION_SKIP;
extern RsCoreAttribute g_RSVNA_ATTR_GAIN_COMPRESSION_SKIP_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_SPECTRUM_DETECTOR;
extern RsCoreAttribute g_RSVNA_ATTR_SPECTRUM_IMAGE_REJECTION;
extern RsCoreAttribute g_RSVNA_ATTR_SPECTRUM_DETECTOR_ZERO_PADDING;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_DIAGRAM_AREA_MAXIMIZE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_DIAGRAM_AREA_SHOW_TITLE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_DIAGRAM_AREA_TITLE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_DIAGRAM_AREA_NAME;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_DIAGRAM_AREA_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_TRACE_DIAGRAM_AREA_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_SELECT_COLOR_SCHEME;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_FREQUENCY_INFO_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_CHANNEL_INFO_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_TRACE_INFO_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_FONT_SIZE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_TRACE_COLOR_FOR_LIMIT_LINES;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_COLORIZE_FAILED_SEGMENTS;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_SHOW_FAILED_SYMBOLS;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_ALL_MARKERS_SAME_COLOR;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_TRACE_COLORS_PER_DIAGRAM;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_COLOR_SCHEME_SAVE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_COLOR_SCHEME_HCOPY_SAVE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_COLOR_SCHEME_LOAD;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_COLOR_SCHEME_HCOPY_LOAD;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_MENU_BAR_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_STATUS_BAR_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_HARDKEY_PANEL_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_TITLE_BAR_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_TOOLBAR_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_SOFTTOOL_PANEL_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_ERROR_TOOLTIP;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_SPLIT_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_DISPLAY_GRID_ROWS_AND_COLUMNS;
extern RsCoreAttribute g_RSVNA_ATTR_SELECT_DISPLAY_LAYOUT;
extern RsCoreAttribute g_RSVNA_ATTR_ZOOM_OVERVIEW;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_CONDUCTANCES;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_TRACE_LABEL;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_MENU_KEY_DIALOG_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_MENU_KEY_DIALOG;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_MENU_KEY_TAB_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_MENU_KEY_TAB;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_INFO_WINDOW_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_INFO_WINDOW_BANDFILTER_SEARCH_RESULTS;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_INFO_WINDOW_MARKER_SEARCH_RESULTS;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_OVERLAY_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_SPLIT_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_X_AXIS_GRID_LABELS;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_STIMULUS_MAX_DUT_DELAY;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_STIMULUS_MAX_ELECTRICAL_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_STIMULUS_MAX_MECHANICAL_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_STIMULUS_PERMITIVITY;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_STIMULUS_VELOCITY_FACTOR;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_STIMULUS_RISE_TIME_DEFINITION;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_STIMULUS_RISE_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_VIEW;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_BIT_STREAM;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_BIT_STREAM_PRBS_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_BIT_STREAM_BIT_LENGTH;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_BIT_STREAM_LOAD;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_SYMBOL_RATE;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MODULATION;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_HIGH_LEVEL;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_LOW_LEVEL;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_LOW_PASS;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_RISE_TIME;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_RISE_TIME_DEFINITION;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_TRANSFER_RATE_UNITS;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_GENERATOR_ENCODER;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_GENERATOR_SCRAMBLER;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_EMPHASIS_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_EMPHASIS_PRE_CURSOR;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_EMPHASIS_POST_CURSOR;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_RANDOM_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_RANDOM_STANDARD_DEVIATION;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_PERIODIC_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_PERIODIC_MAGNITUDE;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_PERIODIC_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_PERIODIC_PHASE;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_DIRAC_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_DIRAC_DELTA;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_DIRAC_PROBABILITY;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_USER_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_JITTER_LOAD_USER;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_NOISE_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_NOISE_RMS;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_DUT_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_EQUALIZATION_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_EQUALIZATION_CTLE_DC;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_EQUALIZATION_CTLE_ZERO;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_EQUALIZATION_CTLE_POLE;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_SHOW;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_AUTO;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_FAIL_BEEP;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_FAIL_STATUS;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_POLYGON_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_POLYGON_SHAPE;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_POLYGON_WIDTH_MAIN;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_POLYGON_WIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_POLYGON_HEIGHT_MAIN;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_POLYGON_HEIGHT;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_TOP_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_TOP_WIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_TOP_HEIGHT;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_BOTTOM_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_BOTTOM_WIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_BOTTOM_HEIGHT;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_CENTER_WIDTH;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_CENTER_HEIGHT;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_FAIL_CONDITION;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_VIOLATION_TOLERANCE;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_VIOLATION_RATE;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_LOAD;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_STORE;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MASK_STORE_RESULTS;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MEASUREMENT_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MEASUREMENT_THRESHOLD;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MEASUREMENT_THRESHOLD_CUSTOM;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_EYE_MEASUREMENT_EXPORT;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_RISE_TIME_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_RISE_TIME_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_RISE_TIME_THRESHOLD;
extern RsCoreAttribute g_RSVNA_ATTR_TDR_RISE_TIME_THRESHOLD_CUSTOM;
extern RsCoreAttribute g_RSVNA_ATTR_SKEW_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SKEW_REFERENCE_TRACE;
extern RsCoreAttribute g_RSVNA_ATTR_SKEW_POSITION;
extern RsCoreAttribute g_RSVNA_ATTR_SKEW_CHECK_ON;
extern RsCoreAttribute g_RSVNA_ATTR_SKEW_LIMIT;
extern RsCoreAttribute g_RSVNA_ATTR_SKEW_FAIL_BEEP;
extern RsCoreAttribute g_RSVNA_ATTR_SKEW_FAIL;
extern RsCoreAttribute g_RSVNA_ATTR_SKEW_RESULT;
extern RsCoreAttribute g_RSVNA_ATTR_SKEW_ALL_RESULTS;
extern RsCoreAttribute g_RSVNA_ATTR_INDEPENDENT_GENERATOR_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_INDEPENDENT_GENERATOR_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_INDEPENDENT_GENERATOR_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_INDEPENDENT_GENERATOR_RF_OFF;
extern RsCoreAttribute g_RSVNA_ATTR_INDEPENDENT_GENERATOR_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_INDEPENDENT_GENERATOR_PORT_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_INDEPENDENT_GENERATOR_PORT_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_INDEPENDENT_GENERATOR_PORT_RF_OFF;
extern RsCoreAttribute g_RSVNA_ATTR_INDEPENDENT_GENERATOR_PORT_STEP_ATTENUATOR;
extern RsCoreAttribute g_RSVNA_ATTR_PRESET_SCOPE;
extern RsCoreAttribute g_RSVNA_ATTR_REMOTE_PRESET;
extern RsCoreAttribute g_RSVNA_ATTR_FACTORY_PRESET;
extern RsCoreAttribute g_RSVNA_ATTR_USER_DEFINED_PRESET_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_USER_DEFINED_PRESET_NAME;
extern RsCoreAttribute g_RSVNA_ATTR_USER_DEFINED_PRESET_CAL;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_AUTO_AVERAGING;
extern RsCoreAttribute g_RSVNA_ATTR_KEY_LOCK;
extern RsCoreAttribute g_RSVNA_ATTR_TOUCHSCREEN_LOCK;
extern RsCoreAttribute g_RSVNA_ATTR_REMOTE_LANGUAGE;
extern RsCoreAttribute g_RSVNA_ATTR_SAVE_REPORT;
extern RsCoreAttribute g_RSVNA_ATTR_REMOTE_LOGGING;
extern RsCoreAttribute g_RSVNA_ATTR_REMOTE_ENCODING;
extern RsCoreAttribute g_RSVNA_ATTR_CALIBRATION_MANAGER_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SYSTEM_SHUTDOWN;
extern RsCoreAttribute g_RSVNA_ATTR_SELF_TEST_QUERY;
extern RsCoreAttribute g_RSVNA_ATTR_QUESTIONABLE_REGISTER;
extern RsCoreAttribute g_RSVNA_ATTR_PRESET_STATUS_REGISTERS;
extern RsCoreAttribute g_RSVNA_ATTR_SOUND_ALARM_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SOUND_STATUS_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_USER_PORT_CHANNEL_BITS;
extern RsCoreAttribute g_RSVNA_ATTR_USER_PORT_PINS_USAGE;
extern RsCoreAttribute g_RSVNA_ATTR_USER_PORT_OPTIONAL_COLUMNS_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_USER_PORT_OPTIONAL_COLUMNS;
extern RsCoreAttribute g_RSVNA_ATTR_REFERENCE_OSCILATOR_SOURCE;
extern RsCoreAttribute g_RSVNA_ATTR_REFERENCE_OSCILLATOR_SMA_INPUT_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_REFERENCE_OSCILLATOR_SMA_OUTPUT_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_REFERENCE_OSCILATOR_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_SYST_VERSION;
extern RsCoreAttribute g_RSVNA_ATTR_INIT_WAIT_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_LOGICAL_PORT_ALINGMENT;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_TITLE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_NUMBER_OF_TRACE_COLOURS;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_UPDATE;
extern RsCoreAttribute g_RSVNA_ATTR_DISPLAY_UPDATE_ONCE;
extern RsCoreAttribute g_RSVNA_ATTR_START_IN_PRESET;
extern RsCoreAttribute g_RSVNA_ATTR_SET_ALL_TRACES_TO_0;
extern RsCoreAttribute g_RSVNA_ATTR_SYSTEM_SCPI_COMMANDS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_SYSTEM_HELP_SYNTAX;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_IMPLEMENTED_SCPI_COMMANDS;
extern RsCoreAttribute g_RSVNA_ATTR_GPIB_SUPRESSES;
extern RsCoreAttribute g_RSVNA_ATTR_HOSTNAME;
extern RsCoreAttribute g_RSVNA_ATTR_CORRECTION_WIZARD_DIALOG;
extern RsCoreAttribute g_RSVNA_ATTR_USER_DEFINED_LED_COLOR;
extern RsCoreAttribute g_RSVNA_ATTR_RF_OFF_BEHAVIOR;
extern RsCoreAttribute g_RSVNA_ATTR_SYSTEM_PRESET_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_OPC_CHECK_SELFTEST;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_POWER_LEVEL_OPC_CHECK_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_FORMAT_IDENTIFY;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_GENERATOR_POWER_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_GENERATOR_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_GENERATORS_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_GENERATORS_NUMBERS;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_GENERATOR_DELETE;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_POWER_METER_S_PARAMETER_CORRECTION;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_POWER_METER_AUTO_ZEROING;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_POWER_METER_AUTO_CONFIG;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_POWER_METER_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_POWER_METER_NUMBERS;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_POWER_METER_DELETE;
extern RsCoreAttribute g_RSVNA_ATTR_SWITCH_MATRIX_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DELETE_SWITCH_MATRIX;
extern RsCoreAttribute g_RSVNA_ATTR_SWITCH_MATRIX_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_SWITCH_MATRIX_NUMBERS;
extern RsCoreAttribute g_RSVNA_ATTR_SWITCH_MATRIX_TEST_PORTS_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_SWITCH_MATRIX_START_CONFIGURATION;
extern RsCoreAttribute g_RSVNA_ATTR_SWITCH_MATRIX_ABORT_CONFIGURATION;
extern RsCoreAttribute g_RSVNA_ATTR_SWITCH_MATRIX_END_CONFIGURATION;
extern RsCoreAttribute g_RSVNA_ATTR_SWITCH_MATRIX_OPTIMIZATION;
extern RsCoreAttribute g_RSVNA_ATTR_SCAN_SWITCH_MATRIX;
extern RsCoreAttribute g_RSVNA_ATTR_SWITCH_MATRIX_SERIAL_NUMBER;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_POWER_LIMIT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_PORT_POWER_LIMIT;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_GENERATOR_LIMIT;
extern RsCoreAttribute g_RSVNA_ATTR_EXTERNAL_GENERATOR_LIMIT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_SELECT_APPLICATION;
extern RsCoreAttribute g_RSVNA_ATTR_WAIT_TO_FINISH;
extern RsCoreAttribute g_RSVNA_ATTR_QUERY_APPLICATION_RETURN_VALUE;
extern RsCoreAttribute g_RSVNA_ATTR_UI_PORT_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_UI_PORT_DATA_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_UI_PORT_WRITING_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_UI_OUTPUT_PORT_DATA;
extern RsCoreAttribute g_RSVNA_ATTR_UI_OUTPUT_PORT_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_UI_DIGITAL_SIGNAL;
extern RsCoreAttribute g_RSVNA_ATTR_UI_DATA_PORTS_LOGIC;
extern RsCoreAttribute g_RSVNA_ATTR_UI_PASS_FAIL_LOGIC;
extern RsCoreAttribute g_RSVNA_ATTR_UI_PASS_FAIL_DEFAULT_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_UI_PASS_FAIL_SCOPE;
extern RsCoreAttribute g_RSVNA_ATTR_UI_PASS_FAIL_POLICY;
extern RsCoreAttribute g_RSVNA_ATTR_UI_SWEEP_END_EVENT;
extern RsCoreAttribute g_RSVNA_ATTR_UI_PASS_FAIL_STATUS;
extern RsCoreAttribute g_RSVNA_ATTR_UI_TRANSITION_STATUS;
extern RsCoreAttribute g_RSVNA_ATTR_USER_DEFINED_PHYSICAL_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_USER_DEFINED_PHYSICAL_PORT_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_DATA_MEMORY_ADD_TRACE;
extern RsCoreAttribute g_RSVNA_ATTR_DATA_MEMORY_NAMES_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_DATA_MEMORY_INITIALIZE_NEW_SHARED_BUFFER;
extern RsCoreAttribute g_RSVNA_ATTR_DATA_MEMORY_COMMIT_NAME;
extern RsCoreAttribute g_RSVNA_ATTR_DATA_MEMORY_DELETE;
extern RsCoreAttribute g_RSVNA_ATTR_DATA_MEMORY_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_DATA_MEMORY_DELETE_ALL_SHARED_BUFFERS;
extern RsCoreAttribute g_RSVNA_ATTR_DATA_MEMORY_SIZE;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_EXPORT_HISTORY;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_DELETE_HISTORY;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_DELETE_DEVICE_HISTORY;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_DELETE_UTILIZATION_HISTORY;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_DATA_FORMAT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_HISTORY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_UTILIZATION;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_UTILIZATION_HISTORY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_UTILIZATION_HISTORY_DETAILED;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_FOOTPRINT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SECURITY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SERVICE_INFORMATION;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_BIOS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_STORAGE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SOFTWARE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SYSTEM_INFO;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_DEVICE_SYSTEM_STATUS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_REST_API_ENDPOINTS;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_REST_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_SNMP_VERSION;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_SNMP_COMMUNITY_READ_ONLY;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_SNMP_COMMUNITY_READ_WRITE;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_SNMP_SYSTEM_CONTACT;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_SNMP_SYSTEM_LOCATION;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_SNMP_DEFINE_USER_PROFILE;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_SNMP_USER_LIST;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_SNMP_DELETE_USER;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_SNMP_DELETE_ALL_USERS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_TAG_DEFINE_KEY_PAIR;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_TAG_KEY_VALUE_PAIR;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_ALL_DEVICE_TAGS;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_TAG_DELETE;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_TAG_DELETE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_UTILIZATION_TRACKING_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_DEVICE_STATUS_SUMMARY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_UTILIZATION_CREATES_CUSTOM;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_UTILIZATION_UPDATE_CUSTOM;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_UTILIZATION_DELETE_CUSTOM;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_UTILIZATION_DELETE_CUSTOM_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_HUMS_UTILIZATION_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_HUMS_ADD_EVENT;
extern RsCoreAttribute g_RSVNA_ATTR_SERVICE_CALIBRATION_LAST_DATE;
extern RsCoreAttribute g_RSVNA_ATTR_SERVICE_CALIBRATION_DUE_DATE;
extern RsCoreAttribute g_RSVNA_ATTR_SERVICE_CALIBRATION_DUE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_SERVICE_CALIBRATION_INTERVAL;
extern RsCoreAttribute g_RSVNA_ATTR_SERVICE_LAST_SERVICE_DATE;
extern RsCoreAttribute g_RSVNA_ATTR_SERVICE_DUE_STATE;
extern RsCoreAttribute g_RSVNA_ATTR_GENERIC_DEVICE_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_GENERIC_DEVICE_DELETE_ALL;
extern RsCoreAttribute g_RSVNA_ATTR_GENERIC_DEVICE_DELETE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_GENERIC_DEVICE_CONFIGURE;
extern RsCoreAttribute g_RSVNA_ATTR_GENERIC_DEVICES_ADDRESSES;
extern RsCoreAttribute g_RSVNA_ATTR_GENERIC_DEVICES_DELETE_ADDRESS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_GENERIC_DEVICE_SELECT;
extern RsCoreAttribute g_RSVNA_ATTR_GENERIC_DEVICE_CHARACTERIZATION;
extern RsCoreAttribute g_RSVNA_ATTR_GENERIC_DEVICE_CONFIGURED_DEVICES;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_GENERIC_DEVICE_CALIBRATION_MIXER;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_TYPES_CATALOG;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_DEFINE_NEW_TYPE;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_DEFINITION_DELETE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_START_STOP_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_START_STOP_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_IF_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_IF_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_LOCAL_MULTIPLICATOR;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_LOCAL_MULTIPLICATOR;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_LOCAL_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_LOCAL_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_LOCAL_POWER_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_LOCAL_POWER_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_MAXIMUM_INPUT_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_MAXIMUM_INPUT_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_SOURCE_MULTIPLICATOR;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_SOURCE_MULTIPLICATOR;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_SOURCE_NOMINAL_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_SOURCE_NOMINAL_POWER;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_SOURCE_NOMINAL_POWER_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_SOURCE_NOMINAL_POWER_OFFSET;
extern RsCoreAttribute g_RSVNA_ATTR_FREQUENCY_CONVERSION_VNA_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_SPLITTER_LO_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_SPLITTER_LOSS;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_DEFAULT_CABLE_LOSS;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_DEFAULT_SLOPE_FACTOR;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_IF_INPUT;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_IF_FREQUENCY;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_LO_LOSS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_CONVERTER_LO_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_SOURCE_PORT_LOSS;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_QUERY_CONVERTER_SOURCE_PORT;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_PORT_ENABLED;
extern RsCoreAttribute g_RSVNA_ATTR_CONVERTER_PORT_RF_SLOPE;
extern RsCoreAttribute g_RSVNA_ATTR_LEVELING_DATASET_POWER_CONTROL_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_LEVELING_DATASET_MODE;
extern RsCoreAttribute g_RSVNA_ATTR_HIDDEN_LEVELING_DATASET_FILE;
extern RsCoreAttribute g_RSVNA_ATTR_LEVELING_DATASET_PATH;
extern RsCoreAttribute g_RSVNA_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSVNA_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSVNA_ATTR_SYSTEM_ERROR_COUNT;
extern RsCoreAttribute g_RSVNA_ATTR_NUMBER_OF_PORTS;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsvna_RsCoreRepCapTable[];
extern ViInt32 rsvna_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsvna_RsCoreAttributeList[];
extern ViInt32 rsvna_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSVNA_ATTRIBUTES_HEADER */
